%define is_release 1
%define beta %{nil}
%define rel 1
%define DATE 20020613
Version: 3.0.3
Name: kdebindings
%if %{is_release}
%if "%{beta}" != ""
Release: 0.%{beta}.%{rel}
Source: %{name}-%{version}-%{beta}.tar.bz2
%else
Release: %{rel}
Source: %{name}-%{version}.tar.bz2
%endif
%else
Release: 0.cvs%{DATE}.%{rel}
Source: %{name}-%{DATE}.tar.bz2
%endif
Patch: kdebindings-3.0.0-gcjjava.patch
Patch1: kdebindings-3.0.0-qtjava-package.patch
Patch2: kdebindings-automake.patch
Patch3: kdebindings-3.0.2-broken.patch
Patch4: kdebindings-3.0.2-mozilla.patch
Summary: KDE bindings to non-C++ languages
URL: http://www.kde.org/
License: GPL
Group: User Interface/Desktops
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: zlib-devel kdelibs-devel kdelibs-sound-devel libjpeg-devel libpng-devel automake15
Requires: kdelibs >= 3.0.2 kdebase >= 3.0.2

%description
KDE/DCOP bindings to non-C++ languages

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for the KDE bindings.

Install %{name}-devel if you want to develop non-KDE
applications that talk to KDE.

%ifarch i386
%package kmozilla
Summary: KDE bindings to mozilla
Group: User Interface/Desktops
Requires: mozilla kdebase >= 3.0.0


%description kmozilla
KDE bindings to mozilla - embed Mozilla in Konqueror
%endif

%package perl
Summary: Perl bindings to DCOP
Group: Development/Libraries
Requires: kdelibs >= %{version}, perl >= 5.6.0

%description perl
Perl bindings to the DCOP interprocess communication protocol used by KDE

%package python
Summary: Python bindings to DCOP
Group: Development/Libraries
Requires: kdelibs >= %{version}, python >= 2.2

%description python
Perl bindings to the DCOP interprocess communication protocol used by KDE

%package qtjava
Summary: Java bindings to Qt
Group: System Environment/Libraries
Requires: qt >= 3.0.2, libgcj >= 3.1, jdkgcj >= 0.2.2
BuildRequires: gcc-java >= 3.1, libgcj >= 3.1, jdkgcj >= 0.2.2

%description qtjava
Java bindings to Qt.

%package qtc
Summary: C bindings to Qt
Group: System Environment/Libraries
Requires: qt >= 3.0.2

%description qtc
C bindings to Qt.
Install kdebindings-qtc if you wish to develop Qt applications
in C (rather than C++).

%package kdec
Summary: C bindings to KDE
Group: System Environment/Libraries
Requires: qt >= 3.0.2 %{name}-qtc >= 3.0.2

%description kdec
C bindings to KDE.
Install kdebindings-kdec if you wish to develop Qt applications
in C (rather than C++).

%package kdejava
Summary: Java bindings to KDE
Group: Development/Libraries
Requires: kdelibs >= %{version}, kdebindings-qtjava = %{version}-%{release}, libgcj

%description kdejava
Java bindings to KDE

%prep
%if %{is_release}
%setup -q
%else
%setup -q -n %{name}
%endif
%patch -p1 -b .gcj
%patch1 -p1 -b .package
%patch2 -p1 -b .automake
%patch3 -p1 -b .broken
%patch4 -p1 -b .mozilla

make -f Makefile.cvs
unset QTDIR || :
. /etc/profile.d/qt.sh

%configure --includedir=%{_includedir}/kde --with-java=/usr

%build
unset QTDIR || :
. /etc/profile.d/qt.sh

make %{?smp_mflags}
%if 0
cd dcopperl
perl Makefile.PL <<EOF
$QTDIR/include
$QTDIR/lib
%{_includedir}/kde
%{_libdir}
EOF
make
%endif

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"
%if 0
make -C dcopperl install PREFIX="$RPM_BUILD_ROOT%{_prefix}"
%endif

if [ -d "$RPM_BUILD_ROOT%{_prefix}/doc" ]; then
	mkdir -p $RPM_BUILD_ROOT%{_docdir}
	mv -f $RPM_BUILD_ROOT%{_prefix}/doc/* $RPM_BUILD_ROOT%{_docdir}
	rm -rf $RPM_BUILD_ROOT%{_prefix}/doc
fi

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libdcopc.so.*
%{_libdir}/lib*xparts.so.*
%{_libdir}/*xp_note*
%{_datadir}/services/xp_notepad.desktop
%{_bindir}/xp_notepad
%{_bindir}/shell_xparthost

%if 0
%files python
%defattr(-,root,root)
/usr/lib/python*/*/*
%endif

%files qtjava
%defattr(-,root,root)
%{_libdir}/libqtjava*
%{_includedir}/kde/qtjava
%{_libdir}/java
%doc %{_docdir}/javalib

%files qtc
%defattr(-,root,root)
%{_libdir}/libqtc.*

%files kdejava
%defattr(-,root,root)
%{_libdir}/libkdejava*
%{_includedir}/kde/kdejava

%files kdec
%defattr(-,root,root)
%{_libdir}/libkdec*

%files devel
%defattr(-,root,root)
%{_libdir}/libdcopc.??
%{_libdir}/lib*xparts.??
%{_includedir}/kde/xkparts
%{_includedir}/dcopc

%ifarch i386
%files kmozilla
%defattr(-,root,root)
%{_bindir}/kmozilla
%{_libdir}/*mozilla*
%{_datadir}/services/kmozilla.desktop
%endif

%if 0
%files perl
%defattr(-,root,root)
%{_libdir}/perl5/site_perl/*/*/auto/DCOP/*
%{_libdir}/perl5/site_perl/*/*/DCOP.pm
%{_libdir}/perl5/site_perl/*/*/DCOP/Object.pm
%{_mandir}/man3/DCOP.3pm*
%endif

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- build using gcc-3.2-0.3

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- rebuild using gcc-3.2-0.1

* Fri Jul 12 2002 Than Ngo <than@redhat.com> 3.0.2-2
- 3.0.2

* Fri Jun 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020614
- Update to current stable branch to make it work with Qt 3.0.4
- Enable building Java bindings (with jdkgcj)

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final
- Disable building C, Java and Objective-C bindings for now, they require
  a real C++ compiler rather than a something-between-C-and-C++-compiler

* Mon Feb 18 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020218.1
- Update
- Another try at getting the Qt Java bindings to build and actually work with
  gcj.

* Thu Jan 31 2002 Tim Powers <timp@redhat.com>
- rebuilt to solve deps on kdelibs
- don't build kmozilla package for ia64

* Wed Jan 30 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020130.1
- Update
- Get the qt java bindings to build with gcj
- Temporarily disable building KDE-C, KDE-Java, DCOP-perl and DCOP-python
  bindings; they don't compile.

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.2
- Move python bindings to separate package
- Add perl bindings
- Shut up rpmlint

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Sun Jan 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
